## maskprocessor 0.73

=== src/Makefile ===
##
##  Makefile for mp
##

CFLAGS = -W -Wall -std=c99 -O2 -s
#CFLAGS = -W -Wall -std=c99 -g

#CC_LINUX32        = /opt/hashcat-toolchain/linux32/bin/i686-hashcat-linux-gnu-gcc
#CC_LINUX64        = /opt/hashcat-toolchain/linux64/bin/x86_64-hashcat-linux-gnu-gcc
CC_LINUX32        = gcc
CC_LINUX64        = gcc
CC_WINDOWS32      = /usr/bin/i686-w64-mingw32-gcc
CC_WINDOWS64      = /usr/bin/x86_64-w64-mingw32-gcc
CC_OSX32          = /usr/bin/i686-apple-darwin10-gcc
CC_OSX64          = /usr/bin/i686-apple-darwin10-gcc

CFLAGS_LINUX32    = $(CFLAGS) -m32 -DLINUX
CFLAGS_LINUX64    = $(CFLAGS) -m64 -DLINUX
CFLAGS_WINDOWS32  = $(CFLAGS) -m32 -DWINDOWS
CFLAGS_WINDOWS64  = $(CFLAGS) -m64 -DWINDOWS
CFLAGS_OSX32      = $(CFLAGS) -m32 -DOSX
CFLAGS_OSX64      = $(CFLAGS) -m64 -DOSX

all: mp64.bin

mp32: mp32.bin mp32.exe mp32.app
mp64: mp64.bin mp64.exe mp64.app

clean:
	rm -f mp32.bin mp64.bin mp32.exe mp64.exe mp32.app mp64.app

mp32.bin: mp.c
	$(CC_LINUX32)   $(CFLAGS_LINUX32)   -o $@ $^

mp64.bin: mp.c
	$(CC_LINUX64)   $(CFLAGS_LINUX64)   -o $@ $^

mp32.exe: mp.c
	$(CC_WINDOWS32) $(CFLAGS_WINDOWS32) -o $@ $^

mp64.exe: mp.c
	$(CC_WINDOWS64) $(CFLAGS_WINDOWS64) -o $@ $^

mp32.app: mp.c
	$(CC_OSX32)     $(CFLAGS_OSX32)     -o $@ $^

mp64.app: mp.c
	$(CC_OSX64)     $(CFLAGS_OSX64)     -o $@ $^

=== debian/changelog ===
maskprocessor (0.73-2) unstable; urgency=medium

  * Migrate package to pkg-security team.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 03 Sep 2016 19:55:28 +0000

maskprocessor (0.73-1) unstable; urgency=low

  * Initial packaging (Closes: #833473)

 -- Sascha Steinbiss <satta@debian.org>  Thu, 04 Aug 2016 19:36:54 +0000

=== debian/control ===
Source: maskprocessor
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.8
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/maskprocessor.git
Vcs-Git: https://anonscm.debian.org/git/pkg-security/maskprocessor.git
Homepage: https://github.com/hashcat/maskprocessor

Package: maskprocessor
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: high-performance word generator with a per-position configurable charset
 Maskprocessor is a fast word list generator. It enumerates all combinations
 from a given user-defined keyspace and outputs the results. Since it supports
 different alphabets (which also can be combined) at different positions in the
 generation template ('mask'), this approach allows a more fine-tunable
 generation of candidates than using 'naive' brute force enumeration of words.
 Masks are defined using the description also used in the Hashcat password
 recovery utility.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f mp64.1

override_dh_auto_build:
	$(MAKE) -C src
	help2man -i debian/extra-man-info.txt \
	  -n 'high-performance word generator with a per-position configurable charset' \
	   -N ./src/mp64 > mp64.1

## maskprocessor 0.73%2Bgit20170609.1708898

=== debian/tests/control ===
Tests: run-example
Depends: @

## maskprocessor 0.73+git20170609.1708898

=== Makefile ===
##
##  Makefile for mp
##

CFLAGS = -W -Wall -std=c99 -O2 -s
#CFLAGS = -W -Wall -std=c99 -g

CC_LINUX32        = gcc
CC_LINUX64        = gcc
CC_WINDOWS32      = /usr/bin/i686-w64-mingw32-gcc
CC_WINDOWS64      = /usr/bin/x86_64-w64-mingw32-gcc
CC_OSX32          = /usr/bin/i686-apple-darwin10-gcc
CC_OSX64          = /usr/bin/i686-apple-darwin10-gcc

CFLAGS_LINUX32    = $(CFLAGS) -m32 -DLINUX
CFLAGS_LINUX64    = $(CFLAGS) -m64 -DLINUX
CFLAGS_WINDOWS32  = $(CFLAGS) -m32 -DWINDOWS
CFLAGS_WINDOWS64  = $(CFLAGS) -m64 -DWINDOWS
CFLAGS_OSX32      = $(CFLAGS) -m32 -DOSX
CFLAGS_OSX64      = $(CFLAGS) -m64 -DOSX

all: mp64.bin

mp32: mp32.bin mp32.exe mp32.app
mp64: mp64.bin mp64.exe mp64.app

clean:
	rm -f mp32.bin mp64.bin mp32.exe mp64.exe mp32.app mp64.app

mp32.bin: mp.c
	$(CC_LINUX32)   $(CFLAGS_LINUX32)   -o $@ $^

mp64.bin: mp.c
	$(CC_LINUX64)   $(CFLAGS_LINUX64)   -o $@ $^

mp32.exe: mp.c
	$(CC_WINDOWS32) $(CFLAGS_WINDOWS32) -o $@ $^

mp64.exe: mp.c
	$(CC_WINDOWS64) $(CFLAGS_WINDOWS64) -o $@ $^

mp32.app: mp.c
	$(CC_OSX32)     $(CFLAGS_OSX32)     -o $@ $^

mp64.app: mp.c
	$(CC_OSX64)     $(CFLAGS_OSX64)     -o $@ $^

=== debian/changelog ===
maskprocessor (0.73+git20170609.1708898-4) unstable; urgency=medium

  * Enable building twice in a row.
    Closes: #1045581
  * Bump Standards-Version.
  * Bump debian directory copyright date.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 12 Dec 2023 14:51:38 +0100

maskprocessor (0.73+git20170609.1708898-3) unstable; urgency=medium

  * Fix watchfile.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Nov 2021 21:11:08 +0100

maskprocessor (0.73+git20170609.1708898-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Build twice for help2man. (Closes: #945811)

  [ Sascha Steinbiss ]
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version.
  * Bump debhelper-compat version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 22 Nov 2020 14:24:18 +0100

maskprocessor (0.73+git20170609.1708898-1) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Import new upstream release
  * Remove useless debian/source.lintian-overrides
  * Add upstream metadata file
  * Tweak the patch to avoid error while applying a patch
    - Thanks to Sascha Steinbiss <satta@debian.org>
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
    - Remove "Testsuite:" item since it is enabled by default now
  * d/copyright:
    - Use license of "Expat" instead "MIT"
  * d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 07 Sep 2018 15:51:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: maskprocessor
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               help2man
-Standards-Version: 3.9.8
-Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/maskprocessor.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/maskprocessor.git
+Build-Depends: debhelper-compat (= 13), help2man
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/maskprocessor
+Vcs-Git: https://salsa.debian.org/pkg-security-team/maskprocessor.git
 Homepage: https://github.com/hashcat/maskprocessor
 
 Package: maskprocessor

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f mp64.1 src/mp64

override_dh_auto_build:
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build --sourcedirectory=src
	help2man -i debian/extra-man-info.txt \
	  -n 'high-performance word generator with a per-position configurable charset' \
	   -N ./src/mp64 > mp64.1
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	rm src/mp64
	dh_auto_build --sourcedirectory=src
endif

=== debian/watch ===
version=4
https://github.com/hashcat/maskprocessor/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
